Package babel :: Module core :: Class UnknownLocaleError

# Class UnknownLocaleError

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
                                  UnknownLocaleError

Exception thrown when a locale is requested for which no locale data is available.

Instance Methods

__init__(self, identifier) Create the exception. |

Inherited from `exceptions.Exception`: `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`, `__str__`, `__unicode__` Inherited from `object`: `__format__`, `__hash__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `exceptions.BaseException`: `args`, `message` Inherited from `object`: `__class__`

Method Details

### __init__(self, identifier)
(Constructor)

Create the exception.

Parameters:
  - `identifier` - the identifier string of the unsupported locale
Overrides: object.__init__